---
title: "atan"
excerpt: "Compute the arctangent of a number (in radians)."
layout: manual
---

Compute the arctangent of a number (in radians).



```js
atan(num: number) -> number
```

### Tags

* `math`

### Examples

```js
const sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({
       angle: toDegrees(atan(1.25)),
       length: 20
     }, %)
  |> yLineTo(0, %)
  |> close(%)

const extrude001 = extrude(5, sketch001)
```

![Rendered example of atan 0](data:image/png;base64,[encoded data, 74476 characters])

### Arguments

* `num`: `number` (REQUIRED)

### Returns

`number`



